% Author:   Thomas Oliver Jelly & Angela Busse
% Location: University of Glasgow & Melbourne
% Purpose:  Step 1 of the MARS algorithm

function [hmap,nls]= mars_stepone(hmap,nls,corr);

% Allocate arrays for hmap struct
%hmap.Nxm = hmap.Nx-1;
%hmap.Nym = hmap.Ny-1;
%hmap.Nxm = hmap.Nx;
%hmap.Nym = hmap.Ny;
hmap.xpg = linspace(0.d0,hmap.Lx,hmap.Nx);
hmap.ypg = linspace(0.d0,hmap.Ly,hmap.Ny);
[hmap.Y, hmap.X] = meshgrid(hmap.ypg,hmap.xpg);
hmap.raw = zeros(hmap.Nx,hmap.Ny,hmap.N);
hmap.filtered = zeros(size(hmap.raw));
hmap = rmfield(hmap, 'xpg');
hmap = rmfield(hmap, 'ypg');

% Coefficient filename
nls.fname = strcat('archive_',...
                   num2str(corr.n,'%03.f'),'_',...
                   num2str(corr.m,'%03.f'),'.mat');
