% Author:      Thomas O. Jelly & Angela Busse
% Location(s): University of Melbourne & University of Glasgow
% Purpose:     MARS algorithm input file

hmap.Lx = 6.d0;      % Streamwise length of heightmap
hmap.Ly = 3.d0;      % Spanwise width of heightmap
hmap.Nx = 512;       % Number of streamwise points
hmap.Ny = 256;       % Number of spanwise points
hmap.N = 2;          % Number of heightmaps to generate
corr.n = 44;         % Number of streamwise points in the correlation function
corr.m = 3;          % Number of spanwise   points in the correlation function
nls.epsilon = 1e-5;  % Numerical tolerance      (Recommended value .le. 1e-5)
nls.max_iter = 8;    % Max number of iterations (Recommended value .eq. 8)
filt.option = 1;     % [1] Apply filter [0] do not apply filter
filt.cutoff= 40;     % Cutoff wavenumber for circular Fourier filter
